﻿<Graph ClassName="BackloadEntryExt" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using System;
using PX.Objects;
using PX.Data;
using Dispatch;

namespace DispatchExtension
{
    public class BackloadTypeMaintExt : PXGraphExtension<BackloadTypeMaint>
    {
        #region Event Handlers
        public void BackloadType_RowSelected(PXCache cache, PXRowSelectedEventArgs e)
        {
            var row = (BackloadType)e.Row;
            if (row == null) return;

            var rowExt = PXCache<BackloadType>.GetExtension<BackloadTypeExt>(row);

            PXUIFieldAttribute.SetEnabled<BackloadType.backloadReturn>(cache, row, rowExt.UsrIsTransfer == null || rowExt.UsrIsTransfer == false);
            PXUIFieldAttribute.SetEnabled<BackloadType.issue>(cache, row, rowExt.UsrIsTransfer == null || rowExt.UsrIsTransfer == false);
            PXUIFieldAttribute.SetEnabled<BackloadType.oneStepStaging>(cache, row, rowExt.UsrIsTransfer == null || rowExt.UsrIsTransfer == false);
            PXUIFieldAttribute.SetEnabled<BackloadType.oneStepDefaultWarehouseLocation>(cache, row, rowExt.UsrIsTransfer == null || rowExt.UsrIsTransfer == false);
            PXUIFieldAttribute.SetEnabled<BackloadType.withBuffer>(cache, row, rowExt.UsrIsTransfer == null || rowExt.UsrIsTransfer == false);
            PXUIFieldAttribute.SetEnabled<BackloadType.returnToDmgWarehouse>(cache, row, rowExt.UsrIsTransfer == null || rowExt.UsrIsTransfer == false);
        }
        #endregion
        /*
                public void BackloadType_UsrIsTransfer_FieldUpdated(PXCache cache, PXFieldUpdatedEventArgs e)
                {
                    var row = (BackloadType)e.Row;
                    if (row == null) return;

                    var rowExt = PXCache<BackloadType>.GetExtension<BackloadTypeExt>(row);

                    if (rowExt.UsrIsTransfer == true)
                    {
                        cache.SetValueExt<BackloadType.backloadReturn>(row, false);
                        cache.SetValueExt<BackloadType.issue>(row, false);
                        cache.SetValueExt<BackloadType.oneStepStaging>(row, false);
                        cache.SetValueExt<BackloadType.oneStepDefaultWarehouseLocation>(row, false);
                        cache.SetValueExt<BackloadType.withBuffer>(row, false);
                        cache.SetValueExt<BackloadType.returnToDmgWarehouse>(row, false);
                    }
                } */
    }
}]]></CDATA>
</Graph>